DARKTABLE(1)

NOM
darktable - une application fournissant un flux de travail de traitement des photos numériques

SYNOPSIS
    darktable [options] [IMG_1234.{RAW,...}|répertoire_images/]

Options :

    --cachedir <répertoire du cache de l'utilisateur>
    --conf <clef>=<valeur>
    --configdir <répertoire de configuration de l'utilisateur>
    -d {all,cache,camctl,camsupport,control,dev,fswatch, input,lighttable,
        lua,masks,memory,nan,opencl, perf,pwstorage,print,sql}
    --datadir <répertoire des données>
    --disable-opencl
    -h, --help
    --library <fichier de bibliothèque>
    --localedir <répertoire local>
    --luacmd <commande Lua>
    --moduledir <répertoire des modules>
    --noiseprofiles <fichier json des profils de bruit>
    -t <nombre de fils d'exécution OpenMp>
    --tmpdir <répertoire temporaire>
    --version

DESCRIPTION
darktable est une application fournissant un flux de travail pour le traitement des photos numériques sous Linux, Mac OS X et plusieurs autres Unix.

L'application est conçue pour faciliter l'édition et le traitement cohérent des grandes séances photo. Elle fournit une table lumineuse numérique facile à utiliser et un ensemble d'outils sophistiqués de post-traitement.

La plupart des traitements sont effectués en mode virgule flottante 32 bits dans l'espace colorimétrique CIE L*a*b* indépendant du périphérique. darktable gère aussi parfaitement la couleur, ce qui vous donne un contrôle total de l'apparence des photos.

L'application repose sur une architecture moderne de plugins rendant aisée l'extension des capacités existantes de l'application par des développeurs tiers. Toutes les fonctionnalités de la table lumineuse et de la chambre noire sont implémentées sous forme de plugins. Vous pouvez ainsi créer vos plugins en réutilisant le code existant. La plupart des actions spécifiques du flux de travail peuvent aussi être écrites dans un script Lua.

OPTIONS

IMG_1234.RAW ou répertoire_images/
    Vous pouvez optionnellement fournir le nom de fichier d'une image ou le nom d'un répertoire contenant des fichiers image. Si un nom de fichier est donné darktable démarre en mode chambre noire avec ce fichier ouvert. Si un répertoire est donné darktable démarre en mode table lumineuse avec le contenu de ce répertoire comme collection courante. Si une instance de darktable est déjà en cours d'exécution (utilisant la même bibliothèque) l'image ou le répertoire y sera ouvert, en utilisant D-Bus pour communiquer entre les deux processus.

--cachedir <répertoire cache>
    darktable conserve un cache de miniatures des images pour une prévisualisation rapide et un cache d'exécutables OpenCL pour un démarrage rapide. Par défaut les caches se trouve dans "$HOME/.cache/darktable/". Il peut y avoir plusieurs caches de miniatures en parallèle - un pour chaque fichier de bibliothèque.

--conf <clé>=<valeur>
    darktable offre un riche ensemble de paramètres de configuration que l'utilisateur définit dans "darktablerc" - le fichier de configuration de darktable dans le répertoire de configuration de l'utilisateur. Avec cette option vous pouvez remplacer temporairement des réglages individuels - cependant ces réglages ne seront pas stockés dans "darktablerc".

--configdir <répertoire de configuration>
    Cette option définit le répertoire où darktable stocke la configuration spécifique de l'utilisateur. L'emplacement par défaut est "$HOME/.config/darktable/".

-d <option de débogage>
    Cette option permet la sortie du débogage dans le terminal. Il y a plusieurs sous-systèmes dans darktable et le débogage de chacun d'eux peut être activé séparément.Vous pouvez utiliser cette option plusieurs fois si vous souhaitez des sorties de débogage pour plus d'un sous-système.

    Voici quelques unes de ces options de débogage :

    control
        Activer la file des tâches de débogage. Si vous redirigez la sortie de darktable vers controle.log et lancez ./tools/create_control_svg.sh controle.log, vous obtiendrez un controle.svg sympathique avec une visualisation du travail des fils d'exécution.

    cache
        Ceci vous donnera de nombreuses informations de débogage concernant le cache des miniatures du mode table lumineuse. Si darktable a été compilé en mode débogage, ceci vous dira à quel endroit du code un tampon particulier a été verrouillé pour la dernière fois.

    perf
        Utilisez ceci pour peaufiner la performance de vos modules de chambre noire. Il mesurera (mesure rdtsc) les temps d'exécution de tous les plugins et les affichera sur la sortie.

    all Active toutes les sorties de débogage. En général ceci n'est pas très utile.

--datadir <répertoire des données>
    Cette option définit le répertoire où darktable trouvera ses données d'exécution. L'emplacement par défaut dépend de votre installation. "/opt/darktable/share/darktable/" et "/usr/share/darktable/" sont des emplacements typiques.

--disable-opencl
    Empêcher darktable d'initialiser le sous-système OpenCL. Utilisez cette option en cas de plantage de darktable au démarrage dû à une implémentation défectueuse d'OpenCL.

-h, --help
    Montre les options de la ligne de commande et quitte.

--library <fichier de bibliothèque>
    Pour un accès rapide darktable conserve les informations de l'image dans une base de données sqlite. L'emplacement par défaut de ce fichier de base de données est "$HOME/.config/darktable/library.db". Vous pouvez donner un emplacement alternatif si, par exemple, vous souhaitez faire quelques expérimentations sans corrompre votre bibliothèque library.db originale. Vous pouvez aussi donner ":memory:" comme fichier de bibliothèque. Dans ce cas la base de données est conservée dans la mémoire du système - toutes les modifications seront détruites à la fin de l'exécution de darktable.

--localedir <répertoire des locales>
    L'emplacement où darktable trouve ses chaînes de texte spécifique à la langue. L'emplacement par défaut dépend de votre installation. "/opt/darktable/share/locale/" et "/usr/share/locale/" sont des emplacements typiques.

--luacmd <commande lua>
    Une chaîne de caractères contenant les commandes lua à exécuter après l'initialisation de lua. Ces commandes seront exécutées après celles de votre fichier "luarc".

    Si lua n'a pas été activé à la compilation, cette option sera acceptée mais sera sans effet.

--moduledir <répertoire des modules>
    darktable a une structure modulaire et organise ses modules sous forme de bibliothèques partagées à charger au cours de l'exécution. Avec cette option vous dites à darktable où il doit chercher ses bibliothèques partagées. L'emplacement par défaut dépend de votre installation ; "/opt/darktable/lib/darktable/" et "/usr/lib/darktable/" sont des emplacements typiques.

--noiseprofiles <fichier json des profils de bruit>
    Le module de réduction du bruit (profil) de darktable utilise des données de profil spécifiques au boîtier, chargées à partir d'un fichier externe json. Avec cette option on peut changer le fichier à charger pour permettre de tester des profils alternatifs. Le fichier de profil par défaut est "noiseprofiles.json" et se trouve typiquement dans "/opt/darktable/share/darktable/" ou "/usr/share/darktable/".

-t <num openmp threads>
    darktable utilise OpenMp pour paralléliser de nombreuses étapes du calcul et fait usage de tous les cœurs CPU disponibles. Avec cette option vous pouvez spécifier le nombre de fils d'exécution à utiliser.

--tmpdir <répertoire tmp>
    L'emplacement où darktable stocke ses fichiers temporaires. Si cette option n'est pas fournie darktable utilise le répertoire par défaut du système.

--version
    Montre qu'elle est la version de darktable ainsi que quelques options importantes de compilation et quitte.

RACCOURCIS CLAVIER PAR DÉFAUT
Tous les modes

l   Passer à la vue table lumineuse

d   Passer à la vue chambre noire

t   Passer à la vue capture

m   Passer à la vue carte

s   Passer à la vue diaporama

p   Passer à la vue impression

.   Basculer entre les vues table lumineuse et chambre noire

Ctrl-q
    Quitter

F11 Basculer entre les modes plein écran et normal de la fenêtre de l'application

Esc Quitter le mode plein écran

Ctrl-h
    Montrer/cacher l'entête

Tab Montrer/cacher les panneaux latéraux

Mode table lumineuse

g, Shift-g
    Naviguer vers la rangée du haut, du bas

PageUp, PageDown
    Naviguer une page vers le haut, vers le bas

'   Défiler vers le centre

Down, Left, Right, Up
    Défiler vers le bas, vers la gauche, vers la droite, vers le haut

z   Aperçu de l'image

Ctrl-z
    Aperçu de l'image avec détection du focus

F1, F2, F3, F4, F5
    Labels de couleurs : basculer en rouge, en jaune, en vert, en bleu et en violet

1, 2, 3, 4, 5
    Évaluation par étoiles

0   Enlever toutes le étoiles

r   Marquer comme rejeté

l   Réaligner les images sur la grille

Alt-1
    Zoomer la première image visible

Alt-2, 3
    Ajuster le zoom

Alt-4
    Dé-zoomer complètement

Ctrl-a
    Sélectionner toutes les images

Ctrl-Shift-a
    Désélectionner toutes les images

Ctrl-i
    Inverser la sélection

Ctrl-d
    Cloner l'image

Ctrl-g, Ctrl-Shift-g
    Grouper/dégrouper les images sélectionnées

Delete
    Supprimer l'image de la collection

Ctrl-c, Ctrl-Shift-c
    Copier tout l'historique, l'historique sélectionné

Ctrl-v, Ctrl-Shift-v
    Coller tout l'historique, l'historique sélectionné

Space
    Sélectionner/désélectionner une image

Return
    Sélectionner une image

Ctrl-e
    Exporter les images actuellement sélectionnées

Ctrl-k
    Retourner à la collection précédente

Ctrl-t
    Ouvrir une fenêtre contextuelle pour étiqueter rapidement une image

Ctrl-Shift-i
    Importer un répertoire

Ctrl-j
    Sauter à la pellicule d'une image

Mode chambre noire

Alt-1, 2, 3
    Zoomer à 1:1, remplir, ajuster, respectivement

Ctrl-f
    Montrer/cacher le bandeau

Space, Backspace
    Sauter à l'image suivante, précédente

Ctrl-e
    Exporter l'image courante

Ctrl-c, Ctrl-Shift-c
    Copier tout l'historique, l'historique sélectionné

Ctrl-v, Ctrl-Shift-v
    Coller tout l'historique, l'historique sélectionné

o   Basculer entre montrer les zones surexposées et sousexposées

Ctrl-g
    Activer/désactiver la vérification de gamut

Ctrl-s
    Activer/désactiver l'épreuvage

Enter
    Dans le module recadrer et pivoter, valider le recadrage

[, ]
    Dans le module rotation tourner de 90 degrés dans le sens anti-horaire, dans le sens horaire

<, >
    Lors du dessin d'un masque, diminuer, augmenter l'opacité du pinceau, respectivement

{, }
    Lors du dessin d'un masque,diminuer, augmenter la dureté du pinceau, respectivement

[, ]
    Lors du dessin d'un masque, diminuer, augmenter la taille du pinceau, respectivement

Mode capture

Ctrl-f
    Montrer/cacher le bandeau

v   Activer/désactiver la visée directe

Mode carte

Ctrl-f
    Montrer/cacher le bandeau

Ctrl-z
    Annuler

Ctrl-r
    Refaire

Bandeau (quand le curseur est en haut du bandeau)

F1, F2, F3, F4, F5
    Labels de couleurs : basculer en rouge, en jaune, en vert, en bleu et en violet

1, 2, 3, 4, 5
    Évaluation par étoiles

0   Enlever toutes le étoiles

r   Marquer comme rejeté

Ctrl-d
    Cloner l'image

Ctrl-a
    Sélectionner toutes les images

Ctrl-Shift-a
    Désélectionner toutes les images

Ctrl-i
    Inverser la sélection

Ctrl-c, Ctrl-Shift-c
    Copier tout l'historique, l'historique sélectionné

Ctrl-v, Ctrl-Shift-v
    Coller tout l'historique, l'historique sélectionné

Mode diaporama

Space
    Démarrer/arrêter la lecture

VOIR AUSSI
darktable-cli(1)

AUTRES INFORMATIONS
Veuillez visiter le site web de darktable pour des nouvelles, un blog et un système de suivi des bogues : <http://www.darktable.org/>

<https://www.darktable.org/usermanual/> Le manuel utilisateur complet de darktable.

darktablerc.html Une vue d'ensemble de tous les réglages de configuration par défaut. L'emplacement par défaut dépend de votre installation. "/opt/darktable/share/doc/darktable/" et "/usr/share/doc/darktable/" sont des emplacements typiques.

SIGNALER DES BOGUES
Veuillez utilisez le système de suivi de bogues sur <https://www.darktable.org/redmine/projects/darktable/issues/> pour signaler des bogues, des demandes de fonctionnalité, etc.

AUTEURS
Le principal développeur de darktable est Johannes Hanika. La liste, on l'espère complète, des contributeurs du projet est :

* developers: Roman Lebedev, Pascal Obry, Tobias Ellinghaus, Stefan Schöfegger, Peter Budai, Ulrich Pegelow, johannes hanika, parafin, Alexandre Prokoudine, Aldric Renaudin, Edouard Gomez. * translators: Pascal Obry, Ger Siemerink, Tobias Ellinghaus, Maurizio Paglia, Timur I. Davletshin, Alexandre Prokoudine, mepi0011, Báthory Péter, Jeronimo Pellegrini, Matjaž Jeran, shlomi braitbart, Aurélien PIERRE, Heiko Bauke, Josep V. Moragues, Marko Vertainen, Michel Leblond, Milan Knížek, Novy Sawai, Ragnar Wisløff, Tomasz Golinski. * contributors (at least 4 commits): Aurélien PIERRE, rawfiner, edgardoh, Dan Torop, Ger Siemerink, Matthieu Moy, Maurizio Paglia, Andreas Schneider, Heiko Bauke, Rikard Öxler, Timur I. Davletshin, Benoit Brummer, Philippe Weyland, grand-piano, luzpaz, Mario Lueder, Robert Bridge, mepi0011. * RawSpeed contributors (at least 1 commit): Stefan Löffler, Stefan Hoffmeister, parafin, Robert Bieber, Tobias Ellinghaus, Matthieu Volat, Shita Yuuma, Stefan Schöfegger, luz.paz. And all those of you that made previous releases possible

Ce manpage a été écrit par Alexandre Prokoudine <alexandre.prokoudine@gmail.com> et Richard Levitte <richard@levittr.org>. Des compléments ont été ajoutés par Tobias Ellinghaus <me@houz.org>.

HISTORIQUE
Le projet a été lancé au début de 2009 par Johannes Hanika pour combler un fossé (ou plutôt un trou noir) ; le manque sous Linux d'un outil fournissant un flux de travail pour le traitement des photos numériques.

COPYRIGHT ET LICENCE
Copyright (C) 2009-2017 par les Auteurs.

darktable est un logiciel libre ; vous pouvez le redistribuer ou le modifier selon les termes de la GPL v3 ou, à votre choix, selon les termes de toute autre version ultérieure.